<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page import="java.io.OutputStream" %>
<%@ page import="java.io.FileInputStream" %>
<%@ page import="java.sql.Timestamp" %>
<%@ page import="java.io.FileNotFoundException" %>
<%@ page import="java.io.IOException" %>
<%@ page import="com.helicalinsight.efw.utility.ApplicationUtilities" %>
<c:set var="exportUrl" scope="request" value="${json.reportExcel.exportInExcelFormat.fileName}"></c:set>



<%
	String filepath =(String) request.getAttribute("exportUrl");
    OutputStream outputStream = null;
    FileInputStream fileInputStream = null;
	String reportName=request.getParameter("reportName");
	
	Timestamp timestamp1 = new Timestamp(System.currentTimeMillis());

    response.setHeader("Content-Disposition", String.format("attachment;filename=\"%s\"","ExcelExport_"+timestamp1 + ".xlsx"));
    response.setContentType("application/octet-stream");
	
    //response.setHeader("Content-Disposition","attachment; filename=\"" + "AdhocExcelReport.xlsx" + "\"");
    try {
        // Write to outputStream
        fileInputStream = new FileInputStream(filepath);
        outputStream = response.getOutputStream();
        byte[] buffer = new byte[4096];
        int bytesRead;
        while ((bytesRead = fileInputStream.read(buffer)) != -1) {
            outputStream.write(buffer, 0, bytesRead);
        }
        outputStream.flush();

    } catch (FileNotFoundException ex) {
       ex.printStackTrace();
    } catch (IOException ex) {
        ex.printStackTrace();
    } finally {
        ApplicationUtilities.closeResource(fileInputStream);
        ApplicationUtilities.closeResource(outputStream);
    }

%>